<template>
  <q-dialog v-model="isNotice" seamless position="bottom">
<!--    <q-carousel-->
<!--        v-model="slide"-->
<!--        transition-prev="scale"-->
<!--        transition-next="scale"-->
<!--        animated-->
<!--        height="100px"-->
<!--        class="p-0"-->
<!--        ref="carousel"-->
<!--    >-->
<!--      <q-carousel-slide v-for="(n, i) in notice" :name="i" class="column no-wrap flex-center">-->
<!--        <q-card :style="{backgroundColor: n.background}" class="px-10" style="z-index: 100">-->
<!--          <q-card-section class="row items-center no-wrap">-->
<!--            <div class="mr-4">-->
<!--              <div :style="{color: n.color}" class="text-weight-bold text-lg mb-2">{{n.title}}</div>-->
<!--              <div :style="{color: n.color}" class="text-sm"><i>{{n.comments}}</i></div>-->
<!--            </div>-->
<!--            <q-separator vertical dark class="mr-2" />-->
<!--            <q-btn flat label="Закрыть" size="sm" @click="closed"/>-->
<!--          </q-card-section>-->
<!--        </q-card>-->
<!--      </q-carousel-slide>-->
<!--    </q-carousel>-->
    <q-carousel
        v-model="slide"
        transition-prev="scale"
        transition-next="scale"
        swipeable
        animated
        control-color="black"
        padding
        arrows
        class="shadow-1 rounded-borders relative-position"
        height="auto"
    >
      <q-carousel-slide v-for="(n, i) in notice"
                        :name="i"
                        :style="{backgroundColor: n.background}"
                        class="column no-wrap flex-center"
      >
        <div class="px-12 pt-2 pb-14">
          <div class="q-mt-md text-center">
            {{n.title}}
            {{n.comments}}
          </div>
        </div>

        <q-btn flat icon="close" size="sm" @click="closed" style="position: absolute; right: 0px; top: 0px; z-index: 200"/>
      </q-carousel-slide>
    </q-carousel>
  </q-dialog>
</template>

<script>
import {ref} from 'vue'
import api from "../API/api";
export default {
  name: 'v-notification',
  props: {
    isNotice: {type: Boolean, default: true},
    notice: {type: Array, default: []},
    timeout: {type: Number},
  },
  setup(prop, {emit}) {
    function closed () {
      emit('closed')
    }
    return {
      closed,
      slide: ref(0),
      lorem: 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Itaque voluptatem totam, architecto cupiditate officia rerum, error dignissimos praesentium libero ab nemo.'
    }
  }
}
</script>

<style scoped lang="scss">
.q-carousel__slide, .q-carousel .q-carousel--padding {padding: 0!important;}

</style>
